Bug 1289030 - volumes_backup tests are not skipped when cinder-backup service is disabled. [NEEDINFO]
volumes_backup tests are not skipped when cinder-backup service is disabled.
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
Unspecified Linux
unspecified Severity medium
: ---
: 11.0 (Ocata)
Assigned To: Angus Thomas
Shai Revivo
: Automation, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-07 04:32 EST by Gal Amado
Modified: 2016-12-14 10:01 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-14 10:01:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pgrist: needinfo? (dsariel)


Attachments (Terms of Use)

  None (edit)
Description Gal Amado 2015-12-07 04:32:21 EST
Description of problem:
running the test below fails for "Service cinder-backup could not be found" when the service is down.

tempest.api.volume.admin.test_volumes_backup.VolumesBackupsV1Test.test_volume_backup_create_get_detailed_list_restore_delete


Version-Release number of selected component (if applicable):


How reproducible:
happens all the time.

Steps to Reproduce:
1.I've deployed using rdo_manager on virthost
2.cinder-backup service on the controller was disabled.
3.ran the test using :
python -m testtools.run  tempest.api.volume.admin.test_volumes_backup.VolumesBackupsV1Test.test_volume_backup_create_get_detailed_list_restore_delete

Actual results:
Test run and failed for "Service cinder-backup could not be found." 

Expected results:
Should be skipped then cinder-backup service is down.

Additional info:
Comment 3 yfried 2015-12-07 05:21:23 EST
IIUC this is a new missing detail in the conf generated. I suggest to simply change this bug's component from "Tempest" to "OSPd"
Comment 4 Gal Amado 2015-12-09 04:48:56 EST
Fail example :

[stack@instack tempest]$ python -m testtools.run  tempest.api.volume.admin.test_volumes_backup.VolumesBackupsV1Test.test_volume_backup_create_get_detailed_list_restore_delete
Tests running...
======================================================================
FAIL: tempest.api.volume.admin.test_volumes_backup.VolumesBackupsV1Test.test_volume_backup_create_get_detailed_list_restore_delete[id-a66eb488-8ee1-47d4-8e9f-575a095728c6]
----------------------------------------------------------------------
pythonlogging:'': {{{
2015-12-09 04:48:08,017 8115 INFO     [tempest_lib.common.rest_client] Request (VolumesBackupsV1Test:test_volume_backup_create_get_detailed_list_restore_delete): 200 POST http://192.0.2.6:5000/v2.0/tokens
2015-12-09 04:48:08,018 8115 DEBUG    [tempest_lib.common.rest_client] Request - Headers: {}
        Body: None
    Response - Headers: {'status': '200', 'content-length': '4146', 'vary': 'X-Auth-Token', 'connection': 'close', 'date': 'Wed, 09 Dec 2015 09:48:08 GMT', 'content-type': 'application/json', 'x-openstack-request-id': 'req-e5e50228-f82d-4fdf-9a8c-bc97da7c6ea2'}
        Body: None
2015-12-09 04:48:08,211 8115 INFO     [tempest_lib.common.rest_client] Request (VolumesBackupsV1Test:test_volume_backup_create_get_detailed_list_restore_delete): 500 POST http://192.0.2.6:8776/v1/8b97a278706648f9a3ee46a709456928/backups 0.193s
2015-12-09 04:48:08,211 8115 DEBUG    [tempest_lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: {"backup": {"name": "Backup-1973711512", "volume_id": "b0483adc-3ace-4e1d-9c30-190c928c2297"}}
    Response - Headers: {'status': '500', 'content-length': '87', 'x-compute-request-id': 'req-288348a3-422d-4881-9dbf-784f65747543', 'connection': 'close', 'date': 'Wed, 09 Dec 2015 09:48:08 GMT', 'content-type': 'application/json; charset=UTF-8', 'x-openstack-request-id': 'req-288348a3-422d-4881-9dbf-784f65747543'}
        Body: {"computeFault": {"message": "Service cinder-backup could not be found.", "code": 500}}
}}}

Traceback (most recent call last):
  File "tempest/api/volume/admin/test_volumes_backup.py", line 47, in test_volume_backup_create_get_detailed_list_restore_delete
    name=backup_name)
  File "tempest/services/volume/json/backups_client.py", line 39, in create_backup
    resp, body = self.post('backups', post_body)
  File "/usr/lib/python2.7/site-packages/tempest_lib/common/rest_client.py", line 252, in post
    return self.request('POST', url, extra_headers, headers, body)
  File "/usr/lib/python2.7/site-packages/tempest_lib/common/rest_client.py", line 629, in request
    resp, resp_body)
  File "/usr/lib/python2.7/site-packages/tempest_lib/common/rest_client.py", line 734, in _error_checker
    raise exceptions.ServerFault(message)
ServerFault: Got server fault
Details: Service cinder-backup could not be found.

Ran 1 test in 5.102s
FAILED (failures=1)
[stack@instack tempest]$
Comment 6 Mike Burns 2016-04-07 17:00:12 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 8 Paul Grist 2016-10-13 18:43:40 EDT
Moving this to the list to review for OSP11, but not clear to me this is a bug or has priority if backup services are now configured and we want to see those tests always running?  Can you close it if that's the case.
Comment 9 Elise Gafford 2016-12-14 10:01:19 EST
cinder-backup was not supported in OSP-d as of RHOS 7.

If this is a persistent issue in RHOS 7 CI it needs to be addressed in Tempest.

Please reopen if concerns persist.

Note You need to log in before you can comment on or make changes to this bug.